All report endpoints will return a CSV file with the respective report as it's contents.
Check the Report document for more information about report types parameters between Guaranteed and Programmatic
Download Guaranteed Campaign Report
Downloads a report for the specified campaign as a CSV file.
The report_type parameter is required and determines the report content.
campaign_exposures — grouping options
When report_type=campaign_exposures, an optional grouping query
parameter controls how rows are aggregated. All groupings return daily rows
with impressions, spend, and estimated_exposures metrics.
All responses include: campaign_id, exposure_completion_date, has_playlogs, impressions, spend,
estimated_exposures, estimated_distinct_exposures, web_conversions, app_conversions,
footfall_conversions.
grouping value | Dimension columns | Description |
|---|---|---|
campaign (default) | date, campaign_id | One row per campaign per day |
unit | date, campaign_id, campaign_unit_id | One row per unit per day |
market | date, campaign_id, market_name | One row per market per day |
media_type | date, campaign_id, media_format | One row per media format per day |
media_owner | date, campaign_id, media_owner | One row per media owner per day |
path Parameters
campaign_tokenCampaign token
report_typeType of report to generate. Accepted values: booked_units, daily_delivery, campaign_exposures.
query Parameters
groupingApplies only to campaign_exposures. Controls the aggregation dimension. Accepted values: campaign (default), unit, market, media_type, media_owner.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key.
Download Guaranteed Campaign Report › Responses
successful - returns CSV file
Download Programmatic Report
Downloads a report for the specified programmatic campaign as a CSV file. The report_type path parameter determines the report content.
Optionally scope to a single plan via plan_token. Some report types support date range filtering via start_date and end_date.
path Parameters
campaign_tokenCampaign token
report_typeType of report to generate. Accepted values: daily_delivery, matched_screen_locations, active_screen_locations, creative_specs, media, creative, screen_report, overall_results, plan_report.
query Parameters
plan_tokenFilter report to a single plan by its token
start_dateStart of date range for report data (YYYY-MM-DD). Applies to creative and overall_results report types.
end_dateEnd of date range for report data (YYYY-MM-DD). Applies to creative and overall_results report types.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key.
Download Programmatic Report › Responses
successful - returns CSV file